## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg20.04+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

pglast (3.9-1) unstable; urgency=medium

  * New upstream version 3.9.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Feb 2022 11:20:20 +0100

pglast (3.8-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Feb 2022 13:32:46 +0100

## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg21.10+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg22.04+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg100+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg110+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg120+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

## pglast 5.0~dev0+1

=== Makefile ===
# -*- coding: utf-8 -*-
# :Project:   pglast -- Development Makefile
# :Created:   gio 03 ago 2017 14:52:45 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2021, 2022 Lele Gaifax
#

export TOPDIR := $(CURDIR)
ifeq ($(VIRTUAL_ENV),)
export VENVDIR := $(TOPDIR)/env
else
export VENVDIR := $(VIRTUAL_ENV)
endif
export PYTHON := $(VENVDIR)/bin/python
export SHELL := /bin/bash
export SYS_PYTHON := $(shell command -v python3)

all: virtualenv libpg_query/Makefile help

libpg_query/Makefile:
	git submodule update --init

help::
	@printf "\nBuild targets\n"
	@printf   "=============\n\n"

help::
	@printf "build\n\tbuild the module\n"

.PHONY: build
build: virtualenv $(VENVDIR)/extension.timestamp

$(VENVDIR)/extension.timestamp: setup.py
$(VENVDIR)/extension.timestamp: libpg_query/libpg_query.a
$(VENVDIR)/extension.timestamp: pglast/ast.pyx pglast/parser.pyx
	touch pglast/parser.pyx
	$(PYTHON) setup.py build_ext --inplace --force
	@touch $@

libpg_query/libpg_query.a: libpg_query/Makefile
libpg_query/libpg_query.a: libpg_query/src/*.c libpg_query/src/*.h
	$(MAKE) -C libpg_query build

help::
	@printf "recythonize\n\tforce retranslation of the pyx module\n"

.PHONY: recythonize
recythonize:
	rm -f $(VENVDIR)/extension.timestamp
	$(MAKE) build

help::
	@printf "clean\n\tremove rebuildable stuff\n"

.PHONY: clean
clean:
	$(MAKE) -C docs SPHINXBUILD=$(SPHINXBUILD) clean
	$(MAKE) -C libpg_query clean
	rm -f pglast/*.so

help::
	@printf "distclean\n\tremove anything superfluous\n"

.PHONY: distclean
distclean:: clean
	rm -rf build dist
	git submodule deinit --all

help::
	@printf "enums\n\textract Python enums from PG sources\n"

PY_ENUMS := pglast/enums/lockoptions.py pglast/enums/lockdefs.py \
	    pglast/enums/nodes.py pglast/enums/parsenodes.py \
	    pglast/enums/pg_attribute.py pglast/enums/pg_class.py \
	    pglast/enums/pg_trigger.py \
	    pglast/enums/primnodes.py pglast/enums/xml.py \
	    pglast/enums/pg_am.py
PG_INCLUDE_DIR := libpg_query/src/postgres/include

.PHONY: enums
enums: $(PY_ENUMS)

$(PY_ENUMS): tools/extract_enums.py libpg_query/libpg_query.a
pglast/enums/%.py: $(PG_INCLUDE_DIR)/nodes/%.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
pglast/enums/lockdefs.py: $(PG_INCLUDE_DIR)/storage/lockdefs.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
pglast/enums/pg_am.py: $(PG_INCLUDE_DIR)/catalog/pg_am.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
pglast/enums/pg_attribute.py: $(PG_INCLUDE_DIR)/catalog/pg_attribute.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
pglast/enums/pg_class.py: $(PG_INCLUDE_DIR)/catalog/pg_class.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
pglast/enums/pg_trigger.py: $(PG_INCLUDE_DIR)/catalog/pg_trigger.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
pglast/enums/xml.py: $(PG_INCLUDE_DIR)/utils/xml.h
	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst

help::
	@printf "keywords\n\textract Python keyword sets from PG sources\n"

PY_KEYWORDS := pglast/keywords.py

.PHONY: keywords
keywords: $(PY_KEYWORDS)

$(PY_KEYWORDS): tools/extract_keywords.py libpg_query/libpg_query.a
$(PY_KEYWORDS): $(PG_INCLUDE_DIR)/parser/kwlist.h
	$(PYTHON) tools/extract_keywords.py $(PG_INCLUDE_DIR)/parser/kwlist.h $@

pglast/ast.pyx: tools/extract_ast.py libpg_query/srcdata/struct_defs.json
pglast/ast.pyx: $(PY_ENUMS)
	$(PYTHON) tools/extract_ast.py pglast/ docs/ast.rst

help::
	@printf "printers-doc\n\tupdate printers documentation\n"

PG_NODES := $(PG_INCLUDE_DIR)/nodes/nodes.h $(PG_INCLUDE_DIR)/nodes/parsenodes.h \
	    $(PG_INCLUDE_DIR)/nodes/primnodes.h $(PG_INCLUDE_DIR)/nodes/value.h

.PHONY: printers-doc
printers-doc: docs/ddl.rst docs/dml.rst

docs/ddl.rst docs/dml.rst: $(PG_NODES) tools/extract_printers_doc.py libpg_query/libpg_query.a
docs/%.rst: pglast/printers/%.py
	$(PYTHON) tools/extract_printers_doc.py $< $@ $(PG_NODES)

help::
	@printf "doc\n\tbuild Sphinx documentation\n"

SPHINXBUILD := $(VENVDIR)/bin/sphinx-build

.PHONY: doc
doc:
	$(MAKE) -C docs SPHINXBUILD=$(SPHINXBUILD) html

help::
	@printf "check\n\trun the test suite\n"

PYTEST = $(VENVDIR)/bin/pytest $(PYTEST_OPTIONS)
COVERAGE = $(VENVDIR)/bin/coverage

.PHONY: check
check: build
	$(PYTEST) tests/
	$(MAKE) -C docs SPHINXBUILD=$(SPHINXBUILD) doctest
	$(COVERAGE) json -o $(TOPDIR)/coverage.json

include Makefile.virtualenv
include Makefile.release

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   pglast -- Development requirements
# :Created:   ven 04 ago 2017 08:40:30 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2020, 2021, 2022 Lele Gaifax

-r requirements-test.txt

cython==3.0.0a11
metapensiero.tool.bump_version==1.3
pycparser==2.21
readme-renderer==37.3
sphinx==5.3.0
twine==4.0.2

## pglast 3.9

=== debian/changelog ===
pglast (3.9-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

=== debian/control ===
Source: pglast
Section: python
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 help2man,
 libpg-query-dev,
 libprotobuf-c-dev,
 libpython3-all-dev,
 postgresql-server-dev-13,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/lelit/pglast
Vcs-Browser: https://salsa.debian.org/postgresql/pglast
Vcs-Git: https://salsa.debian.org/postgresql/pglast.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pglast
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 python-pglast-doc,
Description: PostgreSQL Languages AST and statements prettifier (Python 3)
 This is a Python 3 module that exposes the parse tree of a PostgreSQL
 statement (extracted by the almost standard PG parser repackaged as a
 standalone static library by libpg_query) as set of interconnected nodes,
 usually called an abstract syntax tree.
 .
 This package installs the library for Python 3.

Package: python-pglast-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: PostgreSQL Languages AST and statements prettifier (common documentation)
 This is a Python 3 module that exposes the parse tree of a PostgreSQL
 statement (extracted by the almost standard PG parser repackaged as a
 standalone static library by libpg_query) as set of interconnected nodes,
 usually called an abstract syntax tree.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
https://github.com/lelit/pglast/tags .*/v(.*).tar.gz

## pglast 5.0~dev0+1

=== debian/changelog ===
pglast (5.0~dev0+1-1) unstable; urgency=medium

  * Real upstream version 5.0~dev0, the last upload was a git snapshot that
    I neglected to label as such.
  * Mark python-pglast-doc M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Wed, 28 Dec 2022 10:00:27 +0100

pglast (5.0~dev0-1) unstable; urgency=medium

  * New upstream version with PG15 support.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Dec 2022 13:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpg-query-dev,
  libprotobuf-c-dev,
  libpython3-all-dev,
- postgresql-server-dev-13,
+ postgresql-server-dev-15,
  python3-all,
  python3-pytest,
  python3-pytest-cov,
@@ -43,6 +43,7 @@
 
 Package: python-pglast-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pglast

execute_before_dh_auto_build:
	# force a cython run
	touch pglast/parser.pyx

override_dh_auto_test-indep:

execute_after_dh_auto_test-arch:
	# clean up after coverage test
	rm -fv .pybuild/*/build/.coverage

execute_after_dh_auto_install-arch:
	# build manpage
	PYTHONPATH=$(CURDIR)/debian/python3-pglast/usr/lib/$(shell py3versions -d)/dist-packages \
		   help2man --name 'PostgreSQL language prettifier' --no-info \
		   debian/python3-pglast/usr/bin/pgpp > pgpp.1

execute_after_dh_auto_install-indep:
	# build docs
	$(MAKE) -C docs html SPHINXBUILD=sphinx-build PYTHONPATH=$(CURDIR)/debian/python3-pglast/usr/lib/$(shell py3versions -d)/dist-packages

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## pglast 5.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # :Created:   gio 03 ago 2017 14:52:45 CEST
 # :Author:    Lele Gaifax <lele@metapensiero.it>
 # :License:   GNU General Public License version 3 or later
-# :Copyright: © 2017, 2018, 2019, 2021, 2022 Lele Gaifax
+# :Copyright: © 2017, 2018, 2019, 2021, 2022, 2023 Lele Gaifax
 #
 
 export TOPDIR := $(CURDIR)
@@ -16,6 +16,9 @@
 export SHELL := /bin/bash
 export SYS_PYTHON := $(shell command -v python3)
 
+GENERATED_DOCS := $(shell git grep -l "DO NOT EDIT: " docs/)
+GENERATED_SRCS := $(shell git grep -l "DO NOT EDIT: " pglast/)
+
 all: virtualenv libpg_query/Makefile help
 
 libpg_query/Makefile:
@@ -26,10 +29,23 @@
 	@printf   "=============\n\n"
 
 help::
-	@printf "build\n\tbuild the module\n"
+	@printf "build\n\tbuild the module and update derivated sources\n"
 
 .PHONY: build
-build: virtualenv $(VENVDIR)/extension.timestamp
+build: virtualenv
+build: $(VENVDIR)/libpg_query.hash
+build: $(VENVDIR)/extension.timestamp
+build: enums
+build: keywords
+build: printers-doc
+
+FORCE:
+$(VENVDIR)/libpg_query.hash: FORCE
+	@git -C libpg_query rev-parse HEAD > $@.new
+	@if test -r $@ && cmp --quiet $@ $@.new; \
+	 then rm $@.new; \
+	 else mv $@.new $@; echo "Updated $@"; \
+	fi
 
 $(VENVDIR)/extension.timestamp: setup.py
 $(VENVDIR)/extension.timestamp: libpg_query/libpg_query.a
@@ -70,32 +86,40 @@
 help::
 	@printf "enums\n\textract Python enums from PG sources\n"
 
-PY_ENUMS := pglast/enums/lockoptions.py pglast/enums/lockdefs.py \
-	    pglast/enums/nodes.py pglast/enums/parsenodes.py \
-	    pglast/enums/pg_attribute.py pglast/enums/pg_class.py \
-	    pglast/enums/pg_trigger.py \
-	    pglast/enums/primnodes.py pglast/enums/xml.py \
-	    pglast/enums/pg_am.py
+PY_ENUMS := $(shell ls pglast/enums/*.py)
 PG_INCLUDE_DIR := libpg_query/src/postgres/include
 
 .PHONY: enums
 enums: $(PY_ENUMS)
 
-$(PY_ENUMS): tools/extract_enums.py libpg_query/libpg_query.a
+$(PY_ENUMS): tools/extract_enums.py
+$(PY_ENUMS): libpg_query/libpg_query.a
+$(PY_ENUMS): $(VENVDIR)/libpg_query.hash
+
+define extract_enums =
+$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+endef
+
 pglast/enums/%.py: $(PG_INCLUDE_DIR)/nodes/%.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/lockdefs.py: $(PG_INCLUDE_DIR)/storage/lockdefs.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_am.py: $(PG_INCLUDE_DIR)/catalog/pg_am.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_attribute.py: $(PG_INCLUDE_DIR)/catalog/pg_attribute.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_class.py: $(PG_INCLUDE_DIR)/catalog/pg_class.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_trigger.py: $(PG_INCLUDE_DIR)/catalog/pg_trigger.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/xml.py: $(PG_INCLUDE_DIR)/utils/xml.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
 
 help::
 	@printf "keywords\n\textract Python keyword sets from PG sources\n"
@@ -105,7 +129,9 @@
 .PHONY: keywords
 keywords: $(PY_KEYWORDS)
 
-$(PY_KEYWORDS): tools/extract_keywords.py libpg_query/libpg_query.a
+$(PY_KEYWORDS): tools/extract_keywords.py
+$(PY_KEYWORDS): libpg_query/libpg_query.a
+$(PY_KEYWORDS): $(VENVDIR)/libpg_query.hash
 $(PY_KEYWORDS): $(PG_INCLUDE_DIR)/parser/kwlist.h
 	$(PYTHON) tools/extract_keywords.py $(PG_INCLUDE_DIR)/parser/kwlist.h $@
 
@@ -120,9 +146,12 @@
 	    $(PG_INCLUDE_DIR)/nodes/primnodes.h $(PG_INCLUDE_DIR)/nodes/value.h
 
 .PHONY: printers-doc
-printers-doc: docs/ddl.rst docs/dml.rst
+printers-doc: $(GENERATED_DOCS)
 
-docs/ddl.rst docs/dml.rst: $(PG_NODES) tools/extract_printers_doc.py libpg_query/libpg_query.a
+$(GENERATED_DOCS): $(PG_NODES)
+$(GENERATED_DOCS): tools/extract_printers_doc.py
+$(GENERATED_DOCS): libpg_query/libpg_query.a
+$(GENERATED_DOCS): $(VENVDIR)/libpg_query.hash
 docs/%.rst: pglast/printers/%.py
 	$(PYTHON) tools/extract_printers_doc.py $< $@ $(PG_NODES)

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   pglast -- Development requirements
# :Created:   ven 04 ago 2017 08:40:30 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2020, 2021, 2022, 2023 Lele Gaifax

-r requirements-test.txt

cython==3.0.0b2
metapensiero.tool.bump_version==1.3
pycparser==2.21
readme-renderer==37.3
sphinx==5.3.0
twine==4.0.2

=== debian/changelog ===
pglast (5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Jun 2023 15:18:23 +0200

## pglast 6.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # :Created:   gio 03 ago 2017 14:52:45 CEST
 # :Author:    Lele Gaifax <lele@metapensiero.it>
 # :License:   GNU General Public License version 3 or later
-# :Copyright: © 2017, 2018, 2019, 2021, 2022, 2023 Lele Gaifax
+# :Copyright: © 2017, 2018, 2019, 2021, 2022, 2023, 2024 Lele Gaifax
 #
 
 export TOPDIR := $(CURDIR)
@@ -13,7 +13,8 @@
 export VENVDIR := $(VIRTUAL_ENV)
 endif
 export PYTHON := $(VENVDIR)/bin/python
-export SHELL := /bin/bash
+export CYTHON := $(VENVDIR)/bin/cython
+export SHELL := bash
 export SYS_PYTHON := $(shell command -v python3)
 
 GENERATED_DOCS := $(shell git grep -l "DO NOT EDIT: " docs/)
@@ -49,14 +50,20 @@
 
 $(VENVDIR)/extension.timestamp: setup.py
 $(VENVDIR)/extension.timestamp: libpg_query/libpg_query.a
-$(VENVDIR)/extension.timestamp: pglast/ast.pyx pglast/parser.pyx
-	touch pglast/parser.pyx
+$(VENVDIR)/extension.timestamp: pglast/parser.c
 	$(PYTHON) setup.py build_ext --inplace --force
 	@touch $@
 
 libpg_query/libpg_query.a: libpg_query/Makefile
 libpg_query/libpg_query.a: libpg_query/src/*.c libpg_query/src/*.h
 	$(MAKE) -C libpg_query build
+
+pglast/parser.c: pglast/ast.pyx
+pglast/parser.c: pglast/parser.pyx
+pglast/parser.c: pglast/structs.pxd
+	$(CYTHON) pglast/parser.pyx
+	@: Ensure postgres.h is included as early as possible, to support win32
+	printf "%s\n" '/^#include "postgres.h"/m1' 'wq' | ed -s pglast/parser.c
 
 help::
 	@printf "recythonize\n\tforce retranslation of the pyx module\n"

=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 -r requirements-test.txt
 
-cython==3.0.0b2
+cython==3.0.7
 metapensiero.tool.bump_version==1.3
 pycparser==2.21
-readme-renderer==37.3
-sphinx==5.3.0
+readme-renderer==42.0
+sphinx==7.0.1
 twine==4.0.2

=== debian/changelog ===
pglast (6.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:42:53 +0000

pglast (6.2-1) unstable; urgency=medium

  * New upstream version 6.2.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 11:58:02 +0100

pglast (6.1-1) unstable; urgency=medium

  * New upstream version 6.1.
  * Call cython before build.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Jan 2024 14:04:11 +0100

pglast (6.0~dev1-1) unstable; urgency=medium

  * New upstream version 6.0~dev1.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Jan 2024 10:16:21 +0100

pglast (6.0~dev0-1) unstable; urgency=medium

  * New upstream version 6.0~dev0.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Jan 2024 14:58:52 +0100

pglast (5.6-1) unstable; urgency=medium

  * New upstream version 5.6.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Dec 2023 13:37:01 +0100

pglast (5.5-2) unstable; urgency=medium

  * Use embedded server headers from libpg-query-dev.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Nov 2023 12:23:26 +0000

pglast (5.5-1) unstable; urgency=medium

  * New upstream version 5.5.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Oct 2023 11:54:54 +0200

## pglast 6.3

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   pglast -- Development requirements
# :Created:   ven 04 ago 2017 08:40:30 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Lele Gaifax

-r requirements-test.txt

cython==3.0.11
metapensiero.tool.bump_version==1.3
pycparser==2.22
readme-renderer==44.0
sphinx==8.0.2
twine==5.1.1

=== debian/changelog ===
pglast (6.3-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 Aug 2024 17:02:35 +0200

pglast (6.3-1) unstable; urgency=medium

  * New upstream version 6.3.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Aug 2024 17:02:35 +0200

## pglast 6.6

=== debian/changelog ===
pglast (6.6-1) unstable; urgency=medium

  * New upstream version 6.6.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Oct 2024 15:00:42 +0200

## pglast 7.2

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   pglast — Development requirements
# :Created:   ven 04 ago 2017 08:40:30 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Lele Gaifax

-r requirements-test.txt

bump-my-version==0.28.1
cython==3.0.11
pycparser==2.22
readme-renderer==44.0
sphinx==8.1.3
twine==5.1.1

=== debian/changelog ===
pglast (7.2-1) unstable; urgency=medium

  * New upstream version 7.2.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Dec 2024 14:06:39 +0100

pglast (7.1-1) unstable; urgency=medium

  * New upstream version 7.1.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Dec 2024 12:34:57 +0100

## pglast 7.3

=== debian/changelog ===
pglast (7.3-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Feb 2025 14:46:06 +0100

pglast (7.3-1) unstable; urgency=medium

  * New upstream version 7.3.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Feb 2025 14:46:06 +0100

## pglast 7.5

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   pglast — Development requirements
# :Created:   ven 04 ago 2017 08:40:30 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024, 2025 Lele Gaifax

-r requirements-test.txt

bump-my-version==0.32.0
cython==3.0.11
pycparser==2.22
readme-renderer==44.0
sphinx==8.1.3
twine==6.1.0

=== debian/changelog ===
pglast (7.5-1) unstable; urgency=medium

  * New upstream version 7.5.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Mar 2025 11:25:43 +0100

## pglast 7.7

=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 -r requirements-test.txt
 
-bump-my-version==0.32.0
-cython==3.0.11
+bump-my-version==1.1.1
+cython==3.0.12
 pycparser==2.22
 readme-renderer==44.0
-sphinx==8.1.3
+setuptools==78.1.0
+sphinx==8.2.3
 twine==6.1.0

=== debian/changelog ===
pglast (7.7-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:20:48 +0000

pglast (7.7-1) unstable; urgency=medium

  * New upstream version 7.7.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Apr 2025 13:37:05 +0200

## pglast 7.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# :Project:   pglast -- Development Makefile
+# :Project:   pglast — Development Makefile
 # :Created:   gio 03 ago 2017 14:52:45 CEST
 # :Author:    Lele Gaifax <lele@metapensiero.it>
 # :License:   GNU General Public License version 3 or later

=== requirements.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 -r requirements-test.txt
 
-bump-my-version==1.1.1
-cython==3.0.12
-pycparser==2.22
+bump-my-version==1.2.4
+cython==3.1.6
+pycparser==2.23
 readme-renderer==44.0
-setuptools==78.1.0
+setuptools==80.9.0
 sphinx==8.2.3
-twine==6.1.0
+twine==6.2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = pglast
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pglast (7.10-1) unstable; urgency=medium

  * New upstream version 7.10.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Oct 2025 13:30:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 execute_before_dh_auto_build:
 	# force a cython run
-	touch pglast/parser.pyx
+	cython3 pglast/parser.pyx
 
 override_dh_auto_test-indep:

=== debian/tests/control ===
Tests: pglast
Depends: @

=== debian/watch ===
version=4
opts=uversionmangle=s/.(dev|alpha|beta)/~$1/ \
https://github.com/lelit/pglast/tags .*/v(.*).tar.gz

## pglast 7.11

=== requirements.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 -r requirements-test.txt
 
-bump-my-version==1.2.4
-cython==3.1.6
+bump-my-version==1.2.5
+cython==3.2.3
 pycparser==2.23
 readme-renderer==44.0
 setuptools==80.9.0
-sphinx==8.2.3
+sphinx==9.0.4
 twine==6.2.0

=== debian/changelog ===
pglast (7.11-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Dec 2025 10:16:03 +0100

pglast (7.11-1) unstable; urgency=medium

  * New upstream version 7.11.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Dec 2025 10:16:03 +0100

pglast (7.10-2) unstable; urgency=medium

  * Drop run-time dependency on pkg_resources. (Closes: #1083540)

 -- Christoph Berg <myon@debian.org>  Fri, 07 Nov 2025 13:17:37 +0100
